Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.fontchooser
Class JFontChooser

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--com.smardec.asc.fontchooser.JFontChooser

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JFontChooser
extends javax.swing.JComponent

`JFontChooser` provides a simple mechanism for the user to choose a font.

Sample usage:

     // create JFontChooser using 'font' as initial font
     JFontChooser jFontChooser = new JFontChooser(font);
     // show font chooser dialog and get the result
     int result = jFontChooser.showDialog(parent);
     // retrieve selected font
     Font selectedFont = null;
     if (result == APPROVE_OPTION)
         selectedFont = jFontChooser.getSelectedFont();

Field Summary
`static int` | `APPROVE_OPTION` Return value if approve (yes, ok) is chosen.
`static int` | `CANCEL_OPTION` Return value if cancel is chosen.
`static int` | `ERROR_OPTION` Return value if an error occured.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JFontChooser()` Constructs a font chooser pane with no initial font.
`JFontChooser(java.awt.Font initialFont)` Constructs a font chooser pane with the specified initial font.

Method Summary
`void` | `approveFontSelection()` This method is called when the user hits the `approve` button This can also be called by the programmer.
`void` | `cancelFontSelection()` This method is called when the user hits the `cancel` button This can also be called by the programmer.
`java.lang.String` | `getPreviewString()` Returns string that demonstrates selected font.
`java.awt.Font` | `getSelectedFont()` Returns the current font value from the font chooser.
`boolean` | `isControlButtonsShown()` Idicates whether the approve and cancel buttons are shown in the font chooser.
`void` | `setControlButtonsShown(boolean b)` Specifies whether the approve and cancel buttons are shown in the font chooser.
`void` | `setPreviewString(java.lang.String previewString)` Specifies string that demonstrates selected font.
`void` | `setSelectedFont(java.awt.Font font)` Specifies selected font value in font chooser.
`int` | `showDialog(java.awt.Component parent)` Shows a modal font chooser dialog.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APPROVE_OPTION

    public static final int APPROVE_OPTION

  Return value if approve (yes, ok) is chosen.

  See Also:
    Constant Field Values

### CANCEL_OPTION

    public static final int CANCEL_OPTION

  Return value if cancel is chosen.

  See Also:
    Constant Field Values

### ERROR_OPTION

    public static final int ERROR_OPTION

  Return value if an error occured.

  See Also:
    Constant Field Values

Constructor Detail

### JFontChooser

    public JFontChooser()

  Constructs a font chooser pane with no initial font.

### JFontChooser

    public JFontChooser(java.awt.Font initialFont)

  Constructs a font chooser pane with the specified initial font.

Parameters:
  `initialFont` - the initial font set in the chooser

Method Detail

### getSelectedFont

    public java.awt.Font getSelectedFont()

  Returns the current font value from the font chooser.

  Returns:
    the current font value from the font chooser.

### setSelectedFont

    public void setSelectedFont(java.awt.Font font)

  Specifies selected font value in font chooser.

  Parameters:
    `font` - selected font value

### showDialog

    public int showDialog(java.awt.Component parent)
                   throws java.awt.HeadlessException

  Shows a modal font chooser dialog.

  Parameters:
    `parent` -
  Returns:
    the return state of the font chooser:
    - `APPROVE_OPTION` (yes, ok) is chosen
    - `CANCEL_OPTION` cancel is chosen
    - `ERROR_OPTION` if an error occurs or the dialog is dismissed
  Throws:
    `java.awt.HeadlessException` - if GraphicsEnvironment.isHeadless() returns true.
  See Also:
    `GraphicsEnvironment.isHeadless()`

### isControlButtonsShown

    public boolean isControlButtonsShown()

  Idicates whether the approve and cancel buttons are shown in the font chooser.
  Note: Default value is `true`.

  Returns:
    `true` if the approve and cancel buttons are shown in the font chooser, `false` otherwise.

### setControlButtonsShown

    public void setControlButtonsShown(boolean b)

  Specifies whether the approve and cancel buttons are shown in the font chooser.
  Note: Default value is `true`.

  Parameters:
    `b` - `true` if the approve and cancel buttons should be shown in the font chooser, `false` otherwise

### approveFontSelection

    public void approveFontSelection()

  This method is called when the user hits the `approve` button This can also be called by the programmer. This method causes an action event to fire with the command string equal to ``APPROVE_OPTION``.

### cancelFontSelection

    public void cancelFontSelection()

  This method is called when the user hits the `cancel` button This can also be called by the programmer. This method causes an action event to fire with the command string equal to ``CANCEL_OPTION``.

### getPreviewString

    public java.lang.String getPreviewString()

  Returns string that demonstrates selected font. If string is `null` font name is used.
  Note: Default value is `null`.

  Returns:
    string that demonstrates selected font.

### setPreviewString

    public void setPreviewString(java.lang.String previewString)

  Specifies string that demonstrates selected font. If string is `null` font name is used.
  Note: Default value is `null`.

  Parameters:
    `previewString` - string that demonstrates selected font

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.